Welcome to Doom9's Forum, THE in-place to be for everyone interested in DVD conversion.

Before you start posting please read the forum rules. By posting to this forum you agree to abide by the rules.

 

Go Back   Doom9's Forum > Capturing and Editing Video > VapourSynth

Reply
 
Thread Tools Search this Thread Display Modes
Old 5th September 2017, 01:28   #81  |  Link
cwk
Registered User
 
Join Date: Jan 2004
Location: earth, barely
Posts: 95
Thanks for the tip. With that in mind, I am able to compile r7 on Ubuntu 16.04 without too much difficulty.

Any ideas when gnu will offer support for that version of data()? It looks like the makefile is already geared up with that flag:

Code:
AM_CXXFLAGS = -O2 -std=c++1z -msse2 -mfpmath=sse $(STACKREALIGN) -Wall -Wextra -Wno-unused-parameter -Wshadow
I modified the flag to: "-std=c++17" specifically, which didn't appear to have any impact.
cwk is offline   Reply With Quote
Old 5th September 2017, 03:09   #82  |  Link
Are_
Registered User
 
Join Date: Jun 2012
Location: Ibiza, Spain
Posts: 279
Gcc 7
Are_ is offline   Reply With Quote
Old 5th September 2017, 16:17   #83  |  Link
shader
Registered User
 
Join Date: Jan 2016
Posts: 14
Quote:
Originally Posted by feisty2 View Post
does your CPU feature the AVX2 extension?
I'm run VS on two different laptops. On is a little bit older and therefore it does not have AVX2 extension.

Does anybody compile the latest release for 64 bit without AVX2 and wants to share it with me?

Thanks!
shader is offline   Reply With Quote
Old 1st November 2017, 01:13   #84  |  Link
chawl
Registered User
 
chawl's Avatar
 
Join Date: Feb 2012
Posts: 3
Quote:
Originally Posted by shader View Post
I'm run VS on two different laptops. On is a little bit older and therefore it does not have AVX2 extension.

Does anybody compile the latest release for 64 bit without AVX2 and wants to share it with me?

Thanks!
I had the same problem so I compiled the latest (R9) source on MinGW for my good old Phenom II X6 and it may work for you too, so here it is:

https://drive.google.com/file/d/0Bxn...ew?usp=sharing

You have to put all DLLs under plugins64 directory as my build is not as static as feisty2's and has two dependencies. I also added libfftw3-3.dll.bak file for any reason that your version of FFTW might not work, just rename back to .dll to use it.
chawl is offline   Reply With Quote
Old 12th February 2018, 12:00   #85  |  Link
ChaosKing
Registered User
 
Join Date: Dec 2005
Location: Germany
Posts: 981
Does your mvtools version has some other dependency except libfftw3-3.dll ? It works on my Desktop PC but not on a Win server 2012. I installed every c/c++ runtime I could think of.

This is the script I'm using https://forum.doom9.org/showthread.p...33#post1833133

I get this error using VS R43 x64:
Code:
Problem Event Name: APPCRASH
Application Name: vspipe.exe
Application Version: 0.0.0.0
Application Timestamp: 5a721c1c
Fault Module Name: libmvtools_sf_em64t.dll
Fault Module Version: 0.0.0.0
Fault Module time stamp: 59492968
Exception code: c000001d
Except Offset: 00000000000ea5fd
OS Version: 6.2.9200.2.0.0.272.7
Locale ID: 1031
Additional information 1: e868
Additional Information 2: e8684f6eaacb2ee3a8b23fd72a9ac907
Additional information 3: b387
Additional Information 4: b38712ff53fac18241870cc7b35aa182
__________________
AVSRepoGUI // VSRepoGUI - Package Manager for AviSynth // VapourSynth
VapourSynth Portable FATPACK || VapourSynth Database || https://github.com/avisynth-repository

Last edited by ChaosKing; 12th February 2018 at 12:02.
ChaosKing is offline   Reply With Quote
Old 12th February 2018, 19:11   #86  |  Link
feisty2
I'm Siri
 
feisty2's Avatar
 
Join Date: Oct 2012
Location: Los Angeles, California
Posts: 2,130
could be hardware related, does the cpu of ur server support avx2 instruction set?
if not, u should probably compile a binary for ur own hardware
__________________
If I got new ideas, will post here: https://github.com/IFeelBloated
feisty2 is offline   Reply With Quote
Old 12th February 2018, 19:51   #87  |  Link
ChaosKing
Registered User
 
Join Date: Dec 2005
Location: Germany
Posts: 981
It's a i7 3770, only AVX https://ark.intel.com/de/products/65...up-to-3_90-GHz

//Edit: The compiled dll by chawl works, thx!
__________________
AVSRepoGUI // VSRepoGUI - Package Manager for AviSynth // VapourSynth
VapourSynth Portable FATPACK || VapourSynth Database || https://github.com/avisynth-repository

Last edited by ChaosKing; 12th February 2018 at 20:47.
ChaosKing is offline   Reply With Quote
Old 6th May 2018, 21:42   #88  |  Link
ChaosKing
Registered User
 
Join Date: Dec 2005
Location: Germany
Posts: 981
Could someone compile a new x64 binary (non avx2) of this filter? chawl's version produces some green frames with R43. Thank you!
__________________
AVSRepoGUI // VSRepoGUI - Package Manager for AviSynth // VapourSynth
VapourSynth Portable FATPACK || VapourSynth Database || https://github.com/avisynth-repository
ChaosKing is offline   Reply With Quote
Old 8th May 2018, 17:17   #89  |  Link
HolyWu
Registered User
 
HolyWu's Avatar
 
Join Date: Aug 2006
Location: Taiwan
Posts: 638
Quote:
Originally Posted by ChaosKing View Post
Could someone compile a new x64 binary (non avx2) of this filter? chawl's version produces some green frames with R43. Thank you!
http://www.mediafire.com/file/a92czn...ls_sf_em64t.7z
HolyWu is offline   Reply With Quote
Old 10th May 2018, 09:13   #90  |  Link
ChaosKing
Registered User
 
Join Date: Dec 2005
Location: Germany
Posts: 981
Thank you HolyWu.
But something is still not right. Both compiled version (sse and avx) produces also broken images. The sse version shows a green overlay I think. The strange part is, that all dlls work fine with my ryzen 1700(supports AVX2). But on a i5 3770 it's garbage.

__________________
AVSRepoGUI // VSRepoGUI - Package Manager for AviSynth // VapourSynth
VapourSynth Portable FATPACK || VapourSynth Database || https://github.com/avisynth-repository
ChaosKing is offline   Reply With Quote
Old 12th July 2018, 12:51   #91  |  Link
Myrsloik
Professional Code Monkey
 
Myrsloik's Avatar
 
Join Date: Jun 2003
Location: Ikea Chair
Posts: 1,999
So this plugin requires the double precision fftw3 dll? Or am I mistaken?
__________________
VapourSynth - proving that scripting languages and video processing isn't dead yet

Last edited by Myrsloik; 12th July 2018 at 13:07.
Myrsloik is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +1. The time now is 02:38.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.